* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow: hidden; /* evita scroll fantasma arriba */
}

/* =====================
   LAYOUT PRINCIPAL
===================== */
.layout {
    display: flex;
    width: 100%;
    height: 100vh;
    margin: 0;
    padding: 0;
}


/* =====================
   LADOS
===================== */
.lado {
    position: relative;
    height: 100vh;
}

.izquierdo {
    width: 60%;
    background-color: #6aa9f4;
}

.derecho {
    width: 40%;
    position: relative;
    overflow: hidden;
}

/* =====================
   IMAGEN DERECHA FULL
===================== */
.imagen-fondo {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover-full;
}

/* =====================
   DEGRADÉ CENTRAL
===================== */
.divisor {
    position: absolute;
    top: 0;
    left: 60%;
    width: 80px;
    height: 102vh;
    z-index: 10;
    pointer-events: none;
    background: linear-gradient(
        to right,
        #6aa9f4 0%,
        rgba(106,169,244,0.8) 30%,
        rgba(255,255,255,0.0) 100%
    );
}


/* =====================
   LOGO SUPERIOR
===================== */
.logo-top {
    position: absolute;
    top: 2px;
    left: 18px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.logo-top img {
    width: 300px; /* logo chico */
}

/*.logo-text {
    color: #2e6fb3;
    font-size: 25px;
    font-weight: calibri;
    letter-spacing: 0.5px;
}*/

/* =====================
   LOGIN CENTRADO
===================== */
.login-form {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 250px;
    display: flex;
    flex-direction: column;
    gap: 14px;
}

/* Inputs */
.login-form input[type="text"],
.login-form input[type="password"] {
    padding: 12px 14px;
    border-radius: 10px;
    border: none;
    font-size: 14px;
    outline: none;
}

/* Botón ingresar */
.login-form input[type="submit"] {
    padding: 12px;
    border-radius: 12px;
    border: none;
    background-color: #2e6fb3;
    color: #ffffff;
    font-size: 15px;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.2s ease; 
}

.login-form input[type="submit"]:hover {
    background-color: #006df2;
}

/* =====================
   FOOTER SOBRE CELESTE
===================== */
.footer-text {
    position: absolute;
    bottom: 18px;
    left: 18px;
    font-size: 12px;
    color: #ffffff;
}

/* =====================
   MASCOTA
===================== */
.mascota {
    position: absolute;
    bottom: 18px;
    right: 18px;
    width: 200px;
}
